WordPress.org

Make WordPress Core

Changeset 47459


Ignore:
Timestamp:
03/16/2020 12:23:01 PM (3 weeks ago)
Author:
SergeyBiryukov
Message:

Tests: Use PUPPETEER_SKIP_CHROMIUM_DOWNLOAD environment variable instead of config setting.

This is more consistent with the similar approach in Gutenberg Travis setup.

Follow-up to [47449].

See #49621.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/.travis.yml

    r47449 r47459  
    2323    - PHP_FPM_UID: "`id -u`"
    2424    - PHP_FPM_GID: "`id -g`"
     25    - PUPPETEER_SKIP_CHROMIUM_DOWNLOAD: true
    2526
    2627matrix:
    2728  include:
    28   - env: WP_TRAVISCI=test:e2e
     29  - env: WP_TRAVISCI=test:e2e PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=
    2930    name: E2E Tests
    3031  - env: WP_TRAVISCI=lint:php COMPOSER_INSTALL=true NPM_INSTALL=false WP_INSTALL=false
     
    7576- node --version
    7677- nvm install 10.13.0
    77 - |
    78   if [[ "$WP_TRAVISCI" != "test:e2e" ]]; then
    79     npm config set puppeteer_skip_chromium_download true
    80   fi
    8178- |
    8279  if [[ "$NPM_INSTALL" == "true" ]]; then
Note: See TracChangeset for help on using the changeset viewer.